QGIS Application - Bug report #13423

SVG border thickness impossible to override by attribute

2015-09-25 03:17 AM - didier peeters

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21472

Description

The overriding of the stroke-width (param(outline-width)) of SVG's by an attribute value is broken in QGis 2.10 (haven't checked other

versions). Overriding of color works fine.

| join a project file + spacialite data using a svg provided in QGis ressources (Resources/svg/gpsicons/flag.svg) for checking.

Associated revisions

Revision d8cd15eb - 2015-10-10 06:13 AM - Nyall Dawson

Fix broken data defined SVG marker outline width (fix #13423)

History

#1 - 2015-09-25 07:28 AM - Saber Razmjooei
- Affected QGIS version changed from 2.10.1 to master
- Category set to Symbology

Confirmed in 2.8, 2.10 and master.

#2 - 2015-10-09 09:31 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"d8cd15ebf45ba14166bb233a582a6bccbaedb210".

Files
test_border_width_svg.qgs 23.8 KB 2015-09-25 didier peeters
cities.sqlite 4.76 MB 2015-09-25 didier peeters

2025-04-27

1/1




